Bug 464911 - bind is missing up2date root.named
bind is missing up2date root.named
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2008-10-01 07:03 EDT by Oliver Falk
Modified: 2013-04-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-01 10:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2008-10-01 07:03:14 EDT
named checkhints spots the following:

named-sdb[21428]: checkhints: L.ROOT-SERVERS.NET/A ( missing from hi
named-sdb[21428]: checkhints: L.ROOT-SERVERS.NET/A ( extra record i
n hints

The easiest solution is to download named.root from internic. Please note, that the included root is from 2004 and the actual version is from 2008. See diff:

[root@malz named]# diff root named.root 
< ;       last update:    Jan 29, 2004
< ;       related version of root zone:   2004012900
< ;
> ;       last update:    Feb 04, 2008
> ;       related version of root zone:   2008020400
> A.ROOT-SERVERS.NET.      3600000      AAAA  2001:503:BA3E::2:30
> F.ROOT-SERVERS.NET.      3600000      AAAA  2001:500:2f::f
> H.ROOT-SERVERS.NET.      3600000      AAAA  2001:500:1::803f:235
> J.ROOT-SERVERS.NET.      3600000      AAAA  2001:503:C27::2:30
> K.ROOT-SERVERS.NET.      3600000      AAAA  2001:7fd::1
< L.ROOT-SERVERS.NET.      3600000      A
> L.ROOT-SERVERS.NET.      3600000      A
> M.ROOT-SERVERS.NET.      3600000      AAAA  2001:dc3::35

I could also imagine a cronjob that updates the root file on a regular basis (eg. once a month). What do you thing?
Comment 1 Adam Tkac 2008-10-01 10:12:12 EDT
(In reply to comment #0)

File /var/named/named.ca is used as "root hints" file, not /var/named/named.root. named.ca is up2date.

> I could also imagine a cronjob that updates the root file on a regular basis
> (eg. once a month). What do you thing?

It is not needed because root zone is not changed so often.
Comment 2 Oliver Falk 2008-10-01 10:21:57 EDT
Oh. Then this is a very old config from myself (migrated from release to release...) - sorry for bugging! :-(

Note You need to log in before you can comment on or make changes to this bug.